Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.context.servlet
Class GrailsFlowUrlHandler

    java.lang.Object
      org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
          org.codehaus.groovy.grails.webflow.context.servlet.GrailsFlowUrlHandler

All Implemented Interfaces:
  groovy.lang.GroovyObject, ApplicationContextAware, org.springframework.webflow.context.servlet.FlowUrlHandler

    public class GrailsFlowUrlHandler

extends org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
implements ApplicationContextAware, groovy.lang.GroovyObject

Constructor Summary
`GrailsFlowUrlHandler()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`String` | `createFlowDefinitionUrl(String flowId, org.springframework.webflow.core.collection.AttributeMap input, HttpServletRequest request)`
`String` | `createFlowExecutionUrl(String flowId, String flowExecutionKey, HttpServletRequest request)`
`ApplicationContext` | `getApplicationContext()`
`String` | `getFlowId(HttpServletRequest request)`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `setApplicationContext(ApplicationContext value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`String` | `trimParams(String url)`

Methods inherited from class org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
`appendQueryParameters, getEncodingScheme, getFlowExecutionKey, setEncodingScheme`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsFlowUrlHandler

    public GrailsFlowUrlHandler()

Method Detail

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### getFlowId

    public String getFlowId(HttpServletRequest request)

  Specified by:
    `getFlowId` in interface `org.springframework.webflow.context.servlet.FlowUrlHandler`
  Overrides:
    `getFlowId` in class `org.springframework.webflow.context.servlet.DefaultFlowUrlHandler`

### createFlowExecutionUrl

    public String createFlowExecutionUrl(String flowId,
                                         String flowExecutionKey,
                                         HttpServletRequest request)

  Specified by:
    `createFlowExecutionUrl` in interface `org.springframework.webflow.context.servlet.FlowUrlHandler`
  Overrides:
    `createFlowExecutionUrl` in class `org.springframework.webflow.context.servlet.DefaultFlowUrlHandler`

### trimParams

    public String trimParams(String url)

### createFlowDefinitionUrl

    public String createFlowDefinitionUrl(String flowId,
                                          org.springframework.webflow.core.collection.AttributeMap input,
                                          HttpServletRequest request)

  Specified by:
    `createFlowDefinitionUrl` in interface `org.springframework.webflow.context.servlet.FlowUrlHandler`
  Overrides:
    `createFlowDefinitionUrl` in class `org.springframework.webflow.context.servlet.DefaultFlowUrlHandler`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project